Campaigns
Campaigns entities and endpoints of the Amplify API.
Campaigns contain many PromotedLinks and define Budget, targeting, cpc, etc. Campaign settings apply to the PromotedLinks contained in a specific Campaign.
The Campaign object has the following attributes:
| Property | Type | Semantic | Example |
|---|---|---|---|
| id | String | campaign id. | "00f4b02153ee75f3c9dc4fc128ab041962" |
| name | String | campaign name. | "My Campaign" |
| marketerId | String | marketer id. | "00f4b02153ee75f3c9dc4fc128ab041963" |
| enabled | Boolean | is campaign enabled. | true |
| cpc | Money | cost per click. | 0.58 |
| minimumCpc | Money | the minimal possible cost per click. read-only | 0.2 |
| currency | String | The currency of the Budget amount. read-only | "USD" |
| autoArchived | Boolean | Indicates whether this Campaign is archived. | true |
| targeting | Targeting Object | See Targeting object. | |
| feeds | Array of RSS feeds | Each feed contains the URL of the rss feed. | |
| autoExpirationOfPromotedLinks | Numeric | A number specifying within how many days PromotedLinks are expired - PromotedLinks expire X days after their publication day (if known), otherwise - X days after their creation date. | 7 |
| contentType | Content Type | The Campaign's content type. | "NATIVE_VIDEO" |
| budget | Budget | see Budget entity. read-only | |
| suffixTrackingCode | SuffixTrackingCode | A parameter list that will be appended to the Campaign's PromotedLink. Use the value "EMPTY_SUFFIX" to delete. | "utm_source=outb&utm_medium=cpc&utm_campaign=Celebrity-2-1" |
| prefixTrackingCode | PrefixTrackingCode | A marketer's prefix for a PromotedLink. The prefixTrackingCode must be in a valid url form and must end with some parameter followed by an equals sign. Use the value "EMPTY_PREFIX" to delete. | "http://www.marketersServer.com?redirectTo=" |
| lastModified | Time | The time when the Campaign was last modified. This field is affected by changes in the following properties only: name, enabled, cpc, archived read-only | "2013-03-16 10:32:31" |
| creationTime | Time | The time when the Campaign was created. read-only | "2013-01-18 07:19:16" |
| liveStatus | Live Status | holds Campaign's on air and spend information. read-only. | |
| cpcPerAdEnabled | Boolean | Indicates whether or not the 'CPC Per Ad' feature is enabled for this campaign. If the feature has not been enabled, any CPC changes to the promoted link will not be taken into account. | |
| blockedSites | Campaign Blocked Sites | A property containing lists of blocked publishers and / or sections. The publishers and sections ids can be retrieved from the Publisher Performance Reporting section | |
| startHour | Time (12 hour format: 'HH:MM AM/PM') | Time of the day when this Campaign should start. For this feature to work, the campaign budget type must be "DAILY" or "AUTOMATIC" it cannot be "Spend_ASAP" | 10:30 AM |
| trackingPixels | Array of Tracking Pixels | Deprecated please use pixels.trackingPixels instead (will be removed in 1.7.2021). Array of tracking pixels attached to each promoted link under this campaign | |
| bids | Bids | CPC adjustments | |
| campaignOptimization | CampaignOptimization | Conversion optimization settings | |
| volumeControl | Volume Control | Section volume control adjustments | |
| onAirType | Campaign On Air Type | Represents the scheduling type for the campaign to be on air | "Scheduled" |
| scheduling | Campaign Scheduling Rules | The campaign scheduling rules | |
| objective | Campaign Objective | The campaign objective | |
| pixels | Pixels | The campaign impression and tracking pixels | |
| dynamicRetargeting | Boolean | true if this is a dynamic retargeting campaign |
Campaign
Endpoints
- Retrieve a Single Campaign —
GET /campaigns/{id} - Update an Existing Campaign —
PUT /campaigns/{id}
Campaigns
Endpoints
- Create a new Campaign —
POST /campaigns - Update Multiple Campaigns —
PUT /campaigns
Campaigns Collection
Endpoints
- Retrieve Multiple Campaigns —
GET /campaigns/{campaignIds}/multiple
Campaigns Collection via Budget
Endpoints
- List all Campaigns associated with a Budget —
GET /budgets/{id}/campaigns
Campaigns Collection via Marketer
Collection of all campaigns for a specific Marketer.
The campaigns collection resource has the following attributes:
- count - Number of Campaigns returned in the
Campaignsarray included in this response. - campaigns - Array of
Campaigns - totalCount - Total number of
Campaignsregardless of 'limit' and 'offset' parameters, used for pagination. - marketerBlockedSites - Marketer Blocked Sites.
Endpoints
- List all Campaigns associated with a Marketer —
GET /marketers/{id}/campaigns{
Campaign Geo Location
A new endpoint has been added which returns all targeted and excluded locations of a given campaign. It can be called in order to retrieve a campaign's geotargeting.
Endpoints
- Retrieve Campaign GeoLocations —
GET /campaigns/{campaignId}/locations